/*
 Copyright 2004-2008 Paul R. Holser, Jr.  All rights reserved.
 Licensed under the Academic Free License version 3.0
 */

package jaggregate.internal;

import jaggregate.Pair;

/**
 * A {@link jaggregate.Pair} whose values can be changed.
 *
 * @param <K> the type of the pair's key
 * @param <V> the type of the pair's value
 * @author <a href="mailto:pholser@alumni.rice.edu">Paul Holser</a>
 * @version $Id: MutablePair.java,v 1.2 2008/03/30 03:07:11 pholser Exp $
 */
public class MutablePair<K, V> extends Pair<K, V> {
    private static final long serialVersionUID = -1L;

    /**
     * Creates a pair.
     *
     * @param key the new pair's key
     * @param value the new pair's value
     */
    public MutablePair( K key, V value ) {
        super( key, value );
    }

    /**
     * Gives this pair a new value.
     *
     * @param value the pair's new value
     */
    public void setValue( V value ) {
        this.value = value;
    }
}
