/*
 Copyright 2004-2008 Paul R. Holser, Jr.  All rights reserved.
 Licensed under the Academic Free License version 3.0
 */

package jaggregate.internal;

/**
 * Thrown to indicate a problem with an index handed to a method of a
 * {@link jaggregate.ReadOnlySequence}.
 *
 * @author <a href="mailto:pholser@alumni.rice.edu">Paul Holser</a>
 * @version $Id: SequenceIndexOutOfBoundsException.java,v 1.2 2008/03/30 03:07:11 pholser Exp $
 */
public class SequenceIndexOutOfBoundsException extends IndexOutOfBoundsException {
    private static final long serialVersionUID = -1L;

    /**
     * Creates a new exception.
     *
     * @param operationIndicator an indicator of the nature of the index
     * @param index the index
     */
    public SequenceIndexOutOfBoundsException( String operationIndicator, int index ) {
        super( operationIndicator + " index out of bounds: " + index );
    }
}
